Jump to content


Photo

My initial impressions from installation

install phpunit

  • Please log in to reply
1 reply to this topic

#1 shaunlippy

shaunlippy

    Newbie

  • New Members
  • Pip
  • 5 posts

Posted 18 January 2013 - 07:07 PM

The install was pretty painless, although a couple of the prerequisites for Linux didn't seem to be available on my Mint repository.  php5-pdo and php5-pdo_mysql are two. I didn't go searching for a manual configure/build/install script for the missing packages - I figured I would do that if and when the packages proved essential. 

 

I also noticed that the unit tests do *not* work with the latest release of PHPUnit, which I acquired through PEAR - I think the version of PHPUnit that came through the pacakage manager was 3.7.12, and Zurmo's unit tests seem to require < 3.7; I thought that was a bit odd, which is why I'm calling it out. 

 

I'll get you some more details when I can spend a bit more time on it, but I thought you might be interested in some initial impressions.



#2 Jason

Jason

    Administrator

  • Administrators
  • 833 posts
  • LocationChicago

Posted 18 January 2013 - 08:56 PM

Thanks for the feedback. we are changing the requirements so you can use php 3.7.  php 3.7 works fine but we currently just block it.


Jason Green
Zurmo Team
Need support? Upgrade now






0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users